import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic } from "homebridge";
import { PlejdHbAccessory } from "./PlejdHbAccessory.js";
import { UserInputConfig } from "./model/userInputConfig.js";
import { Device } from "./model/device.js";
import { PlejdService } from "./plejdService.js";
import { Site } from "./model/plejdSite.js";
export declare class PlejdHbPlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: PlatformConfig;
    readonly homebridgeApi: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    userInputConfig?: UserInputConfig;
    plejdService?: PlejdService;
    readonly accessories: PlatformAccessory[];
    readonly plejdHbAccessories: PlejdHbAccessory[];
    constructor(log: Logger, config: PlatformConfig, homebridgeApi: API);
    configurePlejd: () => Promise<void>;
    configureDevices: (log: Logger, config: PlatformConfig, site?: Site) => void;
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory: (accessory: PlatformAccessory) => void;
    discoverDevices: () => void;
    addNewDevice: (device: Device) => void;
    onPlejdUpdates: (identifier: number, isOn: boolean, brightness?: number) => void;
    private generateId;
}
