import { Logger } from "homebridge";
import { UserInputConfig } from "./model/userInputConfig.js";
export declare class PlejdService {
    private readonly config;
    readonly log: Logger;
    private readonly onUpdate;
    private sendQueue;
    private plejdTimeout;
    private queueTimeout;
    private blacklistCleanupInterval;
    private isConnecting;
    private isAuthenticated;
    private deviceState;
    private deviceBlacklist;
    private readonly MAX_FAILURES;
    private readonly BLACKLIST_DURATION;
    private readonly EXTENDED_BLACKLIST_DURATION;
    constructor(config: UserInputConfig, log: Logger, onUpdate: (identifier: number, isOn: boolean, dim?: number) => void);
    /**
     *
     * Update the state of a device
     *
     * @param identifier: The device identifier
     * @param isOn: The new state of the device
     * @param brightness: The new brightness of the device between 0-100
     */
    updateState: (identifier: number, isOn: boolean, brightness: number | null) => Promise<void>;
    configureBLE: () => void;
    private onDiscover;
    private mapRssiToQuality;
    private discoverCaracteristics;
    private setupDevice;
    private handleQueuedMessages;
    private startPlejdPing;
    private handleNotification;
    private setupCommunication;
    private authenticate;
    private tryStartScanning;
    private tryDisconnect;
    private isDeviceBlacklisted;
    private blacklistDevice;
    private cleanupBlacklist;
    private startBlacklistCleanup;
    private cleanup;
}
