export const delay = (ms) => new Promise((resolve) => setTimeout(resolve, ms));
/*
 * Set a timeout for a function
 * @param operation - The function to run
 * @param timeoutMs - The timeout in milliseconds (default 5000)
 */
export const race = async (operation, timeoutMs = 5000) => {
    return Promise.race([
        operation(),
        new Promise((_, reject) => setTimeout(() => reject(new Error("BLE operation timeout")), timeoutMs)),
    ]);
};
//# sourceMappingURL=utils.js.map